package com.csc349blum.framelayout;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Point;
import android.view.Display;
import android.view.Window;
import android.widget.FrameLayout;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
			
	}//end onCreate
	

	protected void onStart(){
		super.onStart();
		
		//http://xjaphx.wordpress.com/2011/09/04/get-window-status-bar-and-title-bar-height-size/
		//need to delay questions about size  
		//even though I put it in onStart instead of onCreate it still seemed to need a delay
		FrameLayout fl = (FrameLayout) findViewById(R.id.FrameLayout1);
		fl.postDelayed(new Runnable() {
			 @Override
		    public void run() {	
				 
				//get size of window
				Display display = getWindowManager().getDefaultDisplay();	
				Point size = new Point();
				display.getSize(size);
				int width = size.x;
				int height = size.y;
				
				//viewTop is a combination of the Status bar and Title bar heights
				int viewTop = getWindow().findViewById(Window.ID_ANDROID_CONTENT).getTop();
				//Toast.makeText(getBaseContext(), Integer.toString(viewTop), Toast.LENGTH_SHORT).show();
				height -= viewTop;
		
				TextView tvRect1 = (TextView) findViewById(R.id.tvRect1);
				TextView tvRect2 = (TextView) findViewById(R.id.tvRect2);
				TextView tvRect3 = (TextView) findViewById(R.id.tvRect3);
				TextView tvRect4 = (TextView) findViewById(R.id.tvRect4);
				TextView tvRect5 = (TextView) findViewById(R.id.tvRect5);
				TextView tvRect6 = (TextView) findViewById(R.id.tvRect6);
		
				//change width, height and margins of various textviews 
				FrameLayout.LayoutParams Params1 = new FrameLayout.LayoutParams(9*width/10, 9*height/10);
				Params1.setMargins(5*width/100, 5*height/100, 5*width/100, 5*height/100);
				tvRect2.setLayoutParams(Params1);
				
				Params1 = new  FrameLayout.LayoutParams(8*width/10, 8*height/10);
				Params1.setMargins(10*width/100, 10*height/100, 10*width/100, 10*height/100);
				tvRect3.setLayoutParams(Params1);
				
				Params1 = new  FrameLayout.LayoutParams(7*width/10, 7*height/10);
				Params1.setMargins(15*width/100, 15*height/100, 15*width/100, 15*height/100);
				tvRect4.setLayoutParams(Params1);
				
				Params1 = new  FrameLayout.LayoutParams(6*width/10, 6*height/10);
				Params1.setMargins(20*width/100, 20*height/100, 20*width/100, 20*height/100);
				tvRect5.setLayoutParams(Params1);	
				
				Params1 = new  FrameLayout.LayoutParams(5*width/10, 5*height/10);
				Params1.setMargins(25*width/100, 25*height/100, 25*width/100, 25*height/100);
				tvRect6.setLayoutParams(Params1);
		    }
		}, 200);
		
	}	
	
	
}//end class
